import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import "Ingaras.HotswapSlot.Settings";

Options = class( Turbine.UI.Control );

function Options:Constructor()
	Turbine.UI.Control.Constructor(self);
	
	self:SetSize(600,600);
	
	local categories = { [Turbine.Gameplay.Equipment.Class] = "Class item", 
		[Turbine.Gameplay.Equipment.PrimaryWeapon] = "Primary Weapon",
		[Turbine.Gameplay.Equipment.RangedWeapon] = "Ranged Weapon" };
		
	self.c = {};
	local h = 5;
	for key, value in pairs (categories) do

		self.c[key] = {};
		
		self.c[key].label = Turbine.UI.Label();
		self.c[key].label:SetParent(self);
		self.c[key].label:SetText(value);
		self.c[key].label:SetSize(250, 20);
		self.c[key].label:SetPosition( 5, h );
		h = h + self.c[key].label:GetHeight() + 5;
		
		self.c[key].add = Turbine.UI.Lotro.Button();
		self.c[key].add:SetParent(self);
		self.c[key].add:SetWidth(80);
		self.c[key].add:SetText("Add");
		self.c[key].add:SetPosition( 5, h );
		self.c[key].add.Click = function (sender, args)
			local mkey = 0;
			for k, v in pairs (settings.bars) do
				mkey = k;
			end
			mkey = mkey+1;
			settings.bars[mkey] = HotswapBar( key, mkey, nil );
		end
		
		self.c[key].del = Turbine.UI.Lotro.Button();
		self.c[key].del:SetParent(self);
		self.c[key].del:SetWidth(80);
		self.c[key].del:SetText("Remove");
		self.c[key].del:SetPosition( self.c[key].add:GetWidth() + 7, h );
		self.c[key].del.Click = function (sender, args)
			local mkey = 0;
			for k, v in pairs (settings.bars) do
				if( v.type == key ) then
					mkey = k;
				end
			end
			if mkey > 0 then
				local slot = table.remove(settings.bars, mkey);
				slot:Close();
			end
		end
		
		h = h + self.c[key].del:GetHeight() + 10;
	end
end
