import "Turbine";
import "Turbine.UI.Lotro";
Settings = class( Turbine.Object );

function Settings:Constructor()
	self.data = Turbine.PluginData.Load( Turbine.DataScope.Character, "hotswapslot");
	if(self.data == nil) then
		self.data = {};
		self.data.quickslots = {};
	end
end

function Settings:SaveSlot( hotswapbar )
	local t = {};
	t.type = hotswapbar.type;
	if(hotswapbar.clickstate == 0) then
		t.qs1 = self:SaveShortcut( hotswapbar.quickSlot1:GetShortcut() );
	else
		t.qs1 = self:SaveShortcut( hotswapbar.shortcut1 );
	end
	t.qs2 = self:SaveShortcut( hotswapbar.quickSlot2:GetShortcut() );
	t.qs3 = self:SaveShortcut( hotswapbar.quickSlot3:GetShortcut() );
	t.vertical = hotswapbar.vertical;
	local x,y = hotswapbar:GetPosition();
	t.position = {};
	t.position.x = x;
	t.position.y = y;
	
	self.data.quickslots[hotswapbar.id] = t;
end

function Settings:SaveShortcut( sc )
	local t = {};
	t.data = sc:GetData();
	t.type = sc:GetType();
	return t;
end

function Settings:LoadShortcut( val )
	return Turbine.UI.Lotro.Shortcut(val.type, val.data);
end

function Settings:Store()
	local i = 1;
	self.data.quickslots = {};
	for key, value in pairs (self.bars) do
		if value ~= nil then
			value.id = i;
			i = i+1;
			self:SaveSlot( value );
		end
	end

	Turbine.PluginData.Save( Turbine.DataScope.Character, "hotswapslot", self.data );
end